corda / net.corda.core.contracts / TransactionVerificationException

# TransactionVerificationException

`sealed class TransactionVerificationException : FlowException`

### Types

Direction | `enum class Direction`

### Exceptions

ContractRejection | `class ContractRejection : TransactionVerificationException`
DuplicateInputStates | `class DuplicateInputStates : TransactionVerificationException`
InvalidNotaryChange | `class InvalidNotaryChange : TransactionVerificationException`
MoreThanOneNotary | `class MoreThanOneNotary : TransactionVerificationException`
NotaryChangeInWrongTransactionType | `class NotaryChangeInWrongTransactionType : TransactionVerificationException`
SignersMissing | `class SignersMissing : TransactionVerificationException`
TransactionMissingEncumbranceException | `class TransactionMissingEncumbranceException : TransactionVerificationException`

### Properties

tx | `val tx: LedgerTransaction`

### Inherited Properties

cause | `open val cause: Throwable?`
message | `open val message: String?`

### Extension Properties

rootCause | `val Throwable.rootCause: Throwable`

### Inheritors

ContractRejection | `class ContractRejection : TransactionVerificationException`
DuplicateInputStates | `class DuplicateInputStates : TransactionVerificationException`
InvalidNotaryChange | `class InvalidNotaryChange : TransactionVerificationException`
MoreThanOneNotary | `class MoreThanOneNotary : TransactionVerificationException`
NotaryChangeInWrongTransactionType | `class NotaryChangeInWrongTransactionType : TransactionVerificationException`
SignersMissing | `class SignersMissing : TransactionVerificationException`
TransactionMissingEncumbranceException | `class TransactionMissingEncumbranceException : TransactionVerificationException`